This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 990588 - Package the tomcat shell scripts
Package the tomcat shell scripts
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
rawhide
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 09:42 EDT by Robert Rati
Modified: 2014-01-28 14:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 13:37:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2013-07-31 09:42:03 EDT
Description of problem:
Apache Hadoop has a component called httpfs which uses the catalina.sh and other shell scripts from the tomcat source.  It does not appear the shell scripts from the source are included in any of the tomcat rpms.

Is there a reason not to have these scripts packaged?  Can a subpackage be updated/created that includes these shell scripts?

Version-Release number of selected component (if applicable):
7.0.42

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Ivan Afonichev 2013-08-16 18:13:34 EDT
I've checked git history...
In versions 5.0 and 5.5 catalina.sh was installed as d%(name)
Then it was completely replaced.

We can ask Alexander Kurtakov or fedora-java what community thinks about it
Comment 2 Robert Rati 2013-08-19 12:44:26 EDT
I talked with Alex and he didn't know why the scripts weren't packaged.

Stanislav (sochotni) guessed the scripts might have been removed for the transition to systemd.

Just to clarify, the httpfs module needs more than just the catalina.sh script.  It needs some of the other shell scripts as well (which are largely required because of catalina.sh).
Comment 3 Fedora End Of Life 2013-09-16 10:56:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Robert Rati 2014-01-28 13:37:50 EST
Using the tomcat@ service I was able to get what I needed.  Doesn't seem the shell scripts will be required.

Note You need to log in before you can comment on or make changes to this bug.